# Uses of Class
javassist.ClassPool

Packages that use ClassPool
Package
Description
javassist
The Javassist Core API.
javassist.bytecode
Bytecode-level API.
javassist.bytecode.analysis
Bytecode Analysis API.
javassist.bytecode.annotation
Bytecode-level Annotations API.
javassist.tools.reflect
Runtime Behavioral Reflection.
javassist.tools.rmi
Sample implementation of remote method invocation.
javassist.tools.web
Simple web server for running sample code.

## Uses of ClassPool in javassist

Methods in javassist that return ClassPool
Modifier and Type
Method
Description
`ClassPool`
CtClass.`getClassPool()`
Returns a `ClassPool` for this class.
`static ClassPool`
ClassPool.`getDefault()`
Returns the default class pool.
Methods in javassist with parameters of type ClassPool
Modifier and Type
Method
Description
`void`
Loader.`addTranslator(ClassPool cp, Translator t)`
Adds a translator, which is called whenever a class is loaded.
`void`
Translator.`onLoad(ClassPool pool, String classname)`
Is invoked by a `Loader` for notifying that a class is loaded.
`void`
Loader.`setClassPool(ClassPool cp)`
Sets the soruce `ClassPool`.
`void`
Translator.`start(ClassPool pool)`
Is invoked by a `Loader` for initialization when the object is attached to the `Loader` object.
Constructors in javassist with parameters of type ClassPool
Modifier
Constructor
Description
``
`ClassPool(ClassPool parent)`
Creates a class pool.
``
`Loader(ClassLoader parent, ClassPool cp)`
Creates a new class loader using the specified parent class loader for delegation.
``
`Loader(ClassPool cp)`
Creates a new class loader.

## Uses of ClassPool in javassist.bytecode

Methods in javassist.bytecode with parameters of type ClassPool
Modifier and Type
Method
Description
`static CtClass[]`
Descriptor.`getParameterTypes(String desc, ClassPool cp)`
Returns the `CtClass` objects representing the parameter types specified by the given descriptor.
`static CtClass`
Descriptor.`getReturnType(String desc, ClassPool cp)`
Returns the `CtClass` object representing the return type specified by the given descriptor.
`void`
MethodInfo.`rebuildStackMap(ClassPool pool)`
Rebuilds a stack map table.
`void`
MethodInfo.`rebuildStackMapForME(ClassPool pool)`
Rebuilds a stack map table for J2ME (CLDC).
`void`
MethodInfo.`rebuildStackMapIf6(ClassPool pool, ClassFile cf)`
Rebuilds a stack map table if the class file is for Java 6 or later.
`static CtClass`
Descriptor.`toCtClass(String desc, ClassPool cp)`
Returns a `CtClass` object representing the type specified by the given descriptor.

## Uses of ClassPool in javassist.bytecode.analysis

Constructors in javassist.bytecode.analysis with parameters of type ClassPool
Modifier
Constructor
Description
``
`Executor(ClassPool classPool, ConstPool constPool)`

## Uses of ClassPool in javassist.bytecode.annotation

Methods in javassist.bytecode.annotation with parameters of type ClassPool
Modifier and Type
Method
Description
`static Object`
AnnotationImpl.`make(ClassLoader cl, Class<?> clazz, ClassPool cp, Annotation anon)`
Constructs an annotation object.
`Object`
Annotation.`toAnnotationType(ClassLoader cl, ClassPool cp)`
Constructs an annotation-type object representing this annotation.

## Uses of ClassPool in javassist.tools.reflect

Methods in javassist.tools.reflect with parameters of type ClassPool
Modifier and Type
Method
Description
`void`
Reflection.`onLoad(ClassPool pool, String classname)`
Inserts hooks for intercepting accesses to the fields declared in reflective classes.
`void`
Reflection.`start(ClassPool pool)`
Initializes the object.

## Uses of ClassPool in javassist.tools.rmi

Methods in javassist.tools.rmi with parameters of type ClassPool
Modifier and Type
Method
Description
`void`
StubGenerator.`onLoad(ClassPool pool, String classname)`
Does nothing.
`void`
StubGenerator.`start(ClassPool pool)`
Initializes the object.
Constructors in javassist.tools.rmi with parameters of type ClassPool
Modifier
Constructor
Description
``
`AppletServer(int port, ClassPool src)`
Constructs a web server.

## Uses of ClassPool in javassist.tools.web

Methods in javassist.tools.web with parameters of type ClassPool
Modifier and Type
Method
Description
`void`
Webserver.`addTranslator(ClassPool cp, Translator t)`
Adds a translator, which is called whenever a client requests a class file.
`void`
Webserver.`setClassPool(ClassPool loader)`
Requests the web server to use the specified `ClassPool` object for obtaining a class file.